package zero1hd.rhythmbullet.graphics.ui.components;

import com.badlogic.gdx.files.FileHandle;
import com.badlogic.gdx.scenes.scene2d.ui.ButtonGroup;
import com.badlogic.gdx.utils.Array;

import zero1hd.rhythmbullet.audio.metadata.AudioMetadata;

public class MusicSelectableButtonGroup extends ButtonGroup<MusicSelectable> {
	private Array<MusicSelectable> buttons;
	
	public MusicSelectableButtonGroup() {
		buttons = getButtons();
	}
	
	public void setChecked(AudioMetadata metadata) {
		if (metadata == null) throw new IllegalArgumentException("metadata can't be null.");
		MusicSelectable button;
		for (int i = 0; i < buttons.size; i++) {
			button = buttons.get(i);
			if (button.getMetadata() == metadata) {
				button.setChecked(true);
				return;
			}
		}
	}
	
	public void setChecked(FileHandle fileHandle) {
		if (fileHandle == null) throw new IllegalArgumentException("fileHandle can't be null.");
		MusicSelectable button;
		for (int i = 0; i < buttons.size; i++) {
			button = buttons.get(i);
			if (button.getFileHandle() == fileHandle) {
				button.setChecked(true);
				return;
			}
		}
	}
	
	public void selectNext() {
		int index = getCheckedIndex() + 1;
		if (index == buttons.size) {
			index = 0;
		}
		buttons.get(index).setChecked(true);
	}
	
	public void selectPrevious() {
		int index = getCheckedIndex() - 1;
		if (index == -1) {
			index = buttons.size -1;
		}
		buttons.get(index).setChecked(true);
	}
	
	public void setChecked(int index) {
		buttons.get(index).setChecked(true);
	}
}
