package zero1hd.rhythmbullet.desktop.graphics.ui.components;

import com.badlogic.gdx.graphics.g2d.Batch;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.badlogic.gdx.scenes.scene2d.Actor;
import com.badlogic.gdx.scenes.scene2d.InputListener;
import com.badlogic.gdx.scenes.scene2d.utils.ClickListener;
import com.badlogic.gdx.scenes.scene2d.utils.FocusListener;

import zero1hd.rhythmbullet.controls.KeyMap;

public class KeyBindButton extends Actor {
	private TextureRegion keyIcon;
	private KeyMap keyMap;
	private String controlKey;
	
	public KeyBindButton(final KeyMap keyMap, final String control, ClickListener selectionListener, InputListener keyPressListener, FocusListener deselectedListener) {
		this.keyMap = keyMap;
		this.keyIcon = keyMap.getIcon(keyMap.stringToID(control));
		this.controlKey = control;
		setSize(keyIcon.getRegionWidth(), keyIcon.getRegionHeight());
		
		addListener(selectionListener);
		addListener(keyPressListener);
		addListener(deselectedListener);
	}
	
	
	public boolean setKey(int keycode) {
		if (keyMap.getIcon(keycode) != null) {
			keyMap.getKeys().putInteger(controlKey, keycode);
			keyIcon = keyMap.getIcon(keycode);
			return true;
		} else {
			return false;
		}
	}
	
	@Override
	public void draw(Batch batch, float parentAlpha) {
		batch.setColor(getColor());
		batch.draw(keyIcon, getX(), getY(), getWidth(), getHeight());
		super.draw(batch, parentAlpha);
	}
}
