package zero1hd.rhythmbullet.desktop.screens;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Screen;
import com.badlogic.gdx.ScreenAdapter;
import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.GL20;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.scenes.scene2d.Stage;
import com.badlogic.gdx.scenes.scene2d.actions.Actions;
import com.badlogic.gdx.scenes.scene2d.ui.Image;
import com.badlogic.gdx.utils.viewport.ScreenViewport;

import zero1hd.rhythmbullet.RhythmBullet;
import zero1hd.rhythmbullet.desktop.screens.main.MainScreen;
import zero1hd.rhythmbullet.util.InitialScreen;

public class SplashScreen extends ScreenAdapter implements InitialScreen {
	private Stage stage;
	private Texture splash;
	private Image zero1HD;
	
	@Override
	public void init() {
		splash = new Texture(Gdx.files.internal("splashlogo.png"));
		zero1HD = new Image(splash);
	}
	
	@Override
	public void render(float delta) {
		Gdx.gl.glClearColor(1f, 1f, 1f, 1f);
		Gdx.gl.glClear(GL20.GL_COLOR_BUFFER_BIT);
		stage.act(delta);
		stage.draw();
		super.render(delta);
	}
	
	@Override
	public void hide() {
		splash.dispose();
		super.hide();
	}

	@Override
	public void preAssetLoad() {
	}

	@Override
	public void postAssetLoad() {
		stage = new Stage(new ScreenViewport());
		stage.addActor(zero1HD);
		zero1HD.setScale((Gdx.graphics.getHeight()*0.5f)/zero1HD.getHeight()*zero1HD.getScaleY());
		zero1HD.setColor(0f,1f,1f,0f);
		zero1HD.setPosition((stage.getWidth() - zero1HD.getWidth()*zero1HD.getScaleX())/2f, (stage.getHeight() - zero1HD.getHeight()*zero1HD.getScaleY())/2f);
		zero1HD.addAction(Actions.sequence(Actions.color(Color.WHITE, 1f), Actions.fadeOut(0.5f)));
	}

	@Override
	public Screen createMainScreen(RhythmBullet game) {
		return new MainScreen(game);
	}
}
