package zero1hd.rhythmbullet.desktop.screens.main;

import com.badlogic.gdx.assets.AssetManager;
import com.badlogic.gdx.scenes.scene2d.ui.Skin;
import com.badlogic.gdx.scenes.scene2d.ui.TextButton;
import com.badlogic.gdx.scenes.scene2d.utils.ChangeListener;

import zero1hd.rhythmbullet.controls.KeyMap;
import zero1hd.rhythmbullet.desktop.graphics.ui.components.ControlOptions;
import zero1hd.rhythmbullet.graphics.ui.Page;

public class KeybindPage extends Page {
	private ControlOptions controlTable;
	private KeyMap keyMap;
	private TextButton backButton;
	public KeybindPage(AssetManager assetManager, Skin skin, ChangeListener backButtonListener) {
		super(-1, -1);
		keyMap = new KeyMap(assetManager);
		controlTable = new ControlOptions(skin, keyMap);
		
		addActor(controlTable);
		
		backButton = new TextButton("Back", skin);
		backButton.setPosition(10, getHeight() - 10 - backButton.getHeight());
		backButton.setWidth(backButton.getWidth() + 20);
		backButton.addListener(backButtonListener);
		
		addActor(backButton);
	}
}
